.swal2-styled.swal2-confirm{
  background-color: var(--primary) !important;
}

.swal2-styled.swal2-confirm:focus{
  box-shadow: none !important;
}

.swal2-styled.swal2-confirm:hover{
  background-color: var(--primary);
}

html body .bg-full-screen-image {
    background: url('../app-assets/images/backgrounds/pexels-photo-551611.jpeg') no-repeat center center;
    background-size: cover;
    background: #edeef7;
}
.navigation .livicon-evo.livicon-evo-holder {
    width: 1.6rem !important;
    margin-right: 1rem;
    float: left;
}

.main-menu .navigation > li {
    margin: 0 1rem;
    transition: background-color 0.5s ease;
}

.main-menu .navigation li a {
    display: flex;
    align-items: center;
    color: white;
    padding: 10px 12px;
}

 html body .content .content-wrapper .content-header-title {
    border-right: none;
}

/* Changer la couleur verte ci-dessous pour adapter aux couleurs du client */

body.semi-dark-layout .main-menu {
    background-color: var(--primary) !important;
}

.main-menu.menu-custom {
    color: white;
    background: var(--primary);
    border: var(--primary);
}

.main-menu.menu-custom .navigation {
    background: var(--primary);
}

.main-menu.menu-custom .navigation .navigation-header {
    color: #bac0c7;
    margin: calc(2.2rem - 0.5rem) 0 0.5rem 1.8rem;
    padding: 0;
    letter-spacing: 1px;
}

.main-menu.menu-custom .navigation li.has-sub ul {
    padding: 7px 0 0;
    margin: -7px 0 0;
}

.main-menu.menu-custom .navigation li.has-sub ul li.has-sub ul.menu-content > li a {
    padding: 10px 20px !important;
    transition: all 0.35s ease !important;
}

.main-menu.menu-custom .navigation li.has-sub ul li.has-sub ul.menu-content > li a:hover {
    padding-left: 25px !important;
}

.main-menu.menu-custom .navigation li a {
    display: flex;
    align-items: center;
    color: white;
    padding: 10px 12px;
}

.main-menu.menu-custom .navigation > li {
    margin: 0 1rem;
    transition: background-color 0.5s ease;
}

.main-menu.menu-custom .navigation > li.nav-item:not(.has-sub) a {
    padding: 10px 12px;
}

.main-menu.menu-custom .navigation > li.open.sidebar-group-active > a {
    padding: 10px 15px;
}

.main-menu.menu-custom .navigation > li.nav-item.open > a, .main-menu.menu-custom .navigation > li.nav-item.sidebar-group-active > a {
    padding: 10px 12px;
    transition: transform 0.25s ease 0s, -webkit-transform 0.25s ease 0s;
}

.main-menu.menu-custom .navigation > li.nav-item.open > a i, .main-menu.menu-custom .navigation > li.nav-item.sidebar-group-active > a i {
    color: var(--primary) !important;
}

.main-menu.menu-custom .navigation > li.nav-item.open.has-sub.open, .main-menu.menu-custom .navigation > li.nav-item.open.has-sub.sidebar-group-active, .main-menu.menu-custom .navigation > li.nav-item.sidebar-group-active.has-sub.open, .main-menu.menu-custom .navigation > li.nav-item.sidebar-group-active.has-sub.sidebar-group-active {
    border-radius: 0.267rem;
    border: 1px solid #464d5c;
    background-color: #1a233a;
    transition: none;
}

.main-menu.menu-custom .navigation > li.nav-item.open.has-sub > a:not(.mm-next):after, .main-menu.menu-custom .navigation > li.nav-item.sidebar-group-active.has-sub > a:not(.mm-next):after {
    right: 7px !important;
}

.main-menu.menu-custom .navigation > li.nav-item.open .menu-content li a, .main-menu.menu-custom .navigation > li.nav-item.sidebar-group-active .menu-content li a {
    padding: 10px 18px;
}

.main-menu.menu-custom .navigation > li.nav-item.open .menu-content li > a:hover, .main-menu.menu-custom .navigation > li.nav-item.sidebar-group-active .menu-content li > a:hover {
    padding-left: 15px !important;
}

.main-menu.menu-custom .navigation > li:not(.open) > ul {
    display: none;
}

.main-menu.menu-custom .navigation > li.active:not(.sidebar-group-active) > a {
    background: rgba(90, 141, 238, 0.15);
    color: var(--primary);
    border-radius: 0.267rem;
}

.main-menu.menu-custom .navigation > li .active > a {
    margin-bottom: 0;
}

.main-menu.menu-custom .navigation > li .active .hover {
    background: #141b2c;
}

.main-menu.menu-custom .navigation > li ul li > a {
    padding: 10px 9px !important;
    margin: 0 11px;
}

.main-menu.menu-custom .navigation > li ul .has-sub:not(.open) > ul {
    display: none;
}

.main-menu.menu-custom .navigation > li ul .open > a,
.main-menu.menu-custom .navigation > li ul .sidebar-group-active > a {
    color: #8a99b5;
}

.main-menu.menu-custom .navigation > li ul .open > ul,
.main-menu.menu-custom .navigation > li ul .sidebar-group-active > ul {
    display: block;
}

.main-menu.menu-custom .navigation > li ul .open > ul .open > ul,
.main-menu.menu-custom .navigation > li ul .sidebar-group-active > ul .open > ul {
    display: block;
}

.main-menu.menu-custom .navigation > li ul .open.active,
.main-menu.menu-custom .navigation > li ul .sidebar-group-active.active {
    background-color: inherit;
}

.main-menu.menu-custom .navigation > li ul .active {
    background: rgba(90, 141, 238, 0.15);
}

.main-menu.menu-custom .navigation > li ul .active > a {
    color: var(--primary);
}

.main-menu.menu-custom .navigation > li > ul > li:first-child > a {
    border-top: 1px solid #464d5c;
}

.main-menu.menu-custom .navigation > li > ul > li.active:first-child > a {
    border-top: none;
}

.text-primary{
    color: var(--primary) !important;
}

.livicon-evo.livicon-evo-holder {
    width: 1.6rem !important;
    margin-right: 1rem;
    float: left;
}


.btn-primary {
    border-color: var(--primary) !important;
    background-color: var(--primary) !important;
    color: var(--text-color) !important;
}

.btn-primary:hover, .btn-primary.hover {
    background-color: var(--primary-hover) !important;
    color: var(--text-color) !important;
}

.btn-primary:hover.glow, .btn-primary.hover.glow {
    color: var(--text-color) !important;
    box-shadow: 0 4px 12px 0 var(--primary-hover) !important;
}

.btn-primary:focus, .btn-primary:active, .btn-primary.active {
    background-color: var(--primary-active) !important;
    color: var(--text-color) !important;
}

.btn-primary.glow {
    box-shadow: 0 2px 4px 0 var(--primary) !important;
}

.btn-outline-primary {
    border: 1px solid var(--primary);
    background-color: transparent;
    color: var(--primary) !important;
}

.btn-outline-primary:hover, .btn-outline-primary.hover {
    background-color: var(--primary-hover) !important;
    border: 1px solid var(--primary-hover);
    color: var(--text-color) !important;
}

.btn-outline-primary:active, .btn-outline-primary.active {
    background-color: var(--primary-active) !important;
    color: var(--text-color) !important;
}

.btn-primary ~ .dropdown-menu .dropdown-item.active, .btn-outline-primary ~ .dropdown-menu .dropdown-item.active {
    background-color: var(--primary);
    color: #fff;
}

.btn-primary ~ .dropdown-menu .dropdown-item.active:hover, .btn-outline-primary ~ .dropdown-menu .dropdown-item.active:hover {
    color: #fff;
}

.dropdown.dropdown-icon-wrapper .btn-primary ~ .dropdown-menu .dropdown-item:hover i, .dropdown.dropdown-icon-wrapper .btn-outline-primary ~ .dropdown-menu .dropdown-item:hover i,
.dropup.dropdown-icon-wrapper .btn-primary ~ .dropdown-menu .dropdown-item:hover i,
.dropup.dropdown-icon-wrapper .btn-outline-primary ~ .dropdown-menu .dropdown-item:hover i,
.dropright.dropdown-icon-wrapper .btn-primary ~ .dropdown-menu .dropdown-item:hover i,
.dropright.dropdown-icon-wrapper .btn-outline-primary ~ .dropdown-menu .dropdown-item:hover i,
.dropleft.dropdown-icon-wrapper .btn-primary ~ .dropdown-menu .dropdown-item:hover i,
.dropleft.dropdown-icon-wrapper .btn-outline-primary ~ .dropdown-menu .dropdown-item:hover i {
    color: var(--primary);
}

.dropdown-item.active, .dropdown-item:active {
    color: #FFFFFF;
    text-decoration: none;
    background-color: var(--primary);
}

.custom-control-input:checked ~ .custom-control-label::before {
    color: #FFFFFF;
    border-color: var(--primary);
    background-color: var(--primary);
}

.custom-control-input ~ .custom-control-label::before {
    color: var(--text-color) !important;
    border-color: var(--primary);
}


.custom-control-input:checked ~ .custom-control-label::before {
    color: var(--text-color) !important;
    border-color: var(--primary);
    background-color: var(--primary);
}


.custom-control-input:focus:not(:checked) ~ .custom-control-label::before {
    border-color: var(--primary);
}

.select2-container {
    width: 100% !important;
}

.custom-checkbox .custom-control-input:indeterminate ~ .custom-control-label::before {
    border-color: var(--primary);
    background-color: var(--primary);
}

.custom-checkbox .custom-control-input:disabled:checked ~ .custom-control-label::before {
    background-color: var(--primary);
}

.custom-checkbox .custom-control-input:disabled:indeterminate ~ .custom-control-label::before {
    background-color: var(--primary);
}

.custom-checkbox .custom-control-input:indeterminate ~ .custom-control-label::before {
    border-color: var(--primary);
    background-color: var(--primary);
}

.custom-checkbox .custom-control-input:not(:disabled):active ~ .custom-control-label::before, .custom-radio .custom-control-input:not(:disabled):active ~ .custom-control-label::before {
    background-color: var(--primary);
    border-color: var(--primary);
}

.select2-container--classic.select2-container--focus .select2-selection--multiple, .select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: var(--primary) !important;
    outline: 0;
}

.select2-container--classic .select2-selection--multiple .select2-selection__choice, .select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: var(--primary) !important;
    border-color: transparent !important;
    color: #FFFFFF !important;
    padding: 0.2rem 0.6rem 0.2rem 0.6rem;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: var(--primary);
    color: white;
}

html .pace .pace-progress {
    background: var(--primary-active);
}

.table thead th {
  border-top: 2px solid #DFE3E7;
}

.table td {
  border-bottom: 2px solid #DFE3E7;
}

.table-white tr {
  background-color: white;
}

.col.th {
    border-top: 2px solid #DFE3E7;
    color: #000000;
    border-top: none;
    vertical-align: middle;
    font-size: .8rem;
    letter-spacing: 1px;
    vertical-align: bottom;
    border-bottom: 2px solid #DFE3E7;
    font-family: "Rubik", Helvetica, Arial, serif;
    padding: 1.15rem 2rem;
    font-weight: bold;
    text-transform: uppercase;
}

.col.th.sort{
    cursor: pointer;
}

.col.th.sort:before, .col.th.sort:after{
    font-family: boxicons!important;
    font-weight: 400;
    font-style: normal;
    font-variant: normal;
    position: absolute;
    font-size: 16px;
    color: #a9a0a0;
}

.col.th.sort:before{
    content: "\ea4f";
    bottom: 24px;
    right:0px;
}

.col.th.sort:after{
    content: "\ea48";
    bottom: 10px;
    right: 0px;
}

.col.th.sort.asc:before, .col.th.sort.desc:after{
    color: black;
}

.col.th p {
    margin-bottom: 0px;
}

.col.td{
    background-color: white;
    border-bottom: 2px solid #DFE3E7;
    vertical-align: middle;
    font-family: "Rubik", Helvetica, Arial, serif;
    padding: 1.15rem 2rem;
    width: 100%;
    color: #000000;
    min-height: 75px;
}

/* .row-td:last-child > .col.td{
  border-bottom: 0px;
} */

.card-edit{
  margin-bottom: 0;
  border-radius: 0;
  border-bottom: 2px solid #DFE3E7;
}

.border-bottom{
  border-bottom: 2px solid #DFE3E7;
}

.border-rounded{
  border-radius: 50%;
}

.col.td.placeholder::before{
  content: "";
  width: 82%;
  height: 22px;
  background-color: #dee3e785;
  position: absolute;
  top: 19px;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

.col.td > p {
  margin-bottom: 0.5rem;
  margin-top: 0.5rem;
}

.form-control-position-xl{
  width: 4.5rem;
}



/* Modal Content/Box */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 999999999; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  }

  .pointer{
      cursor: pointer;
  }